package com.dcsoft.system.consume.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考勤组人员对象 kq_group_user
 *
 * @author dcsoft
 * @date 2023-01-11
 */
public class ConsumeReportUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 组id */
    @Excel(name = "组id")
    private Long reportId;

    /** 用户Id */
    @Excel(name = "用户Id")
    private Long userId;



    public Long getReportId() {
        return reportId;
    }

    public void setReportId(Long reportId) {
        this.reportId = reportId;
    }


    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("reportId", getReportId())
            .append("userId", getUserId())
            .toString();
    }
}
